services:
  pranthora_platform:
    image: akashkpatel/pranthora_backend:latest_v15_4_2026
    container_name: platform
    ports:
      - "5050:5050"
      - "5049:5049"
    extra_hosts:
      - "host.docker.internal:host-gateway"
    environment:
      LOKI_ENABLED: "true"
      GRAFANA_LOKI_URL: "https://logs-prod-036.grafana.net/loki/api/v1/push"
      GRAFANA_LOKI_USER_ID: "1220258"
      GRAFANA_LOKI_PASSWORD: "glc_eyJvIjoiMTQzNDIxOSIsIm4iOiJzdGFjay0xMjYyNDY0LWhsLXdyaXRlLWxvY2FsX21hY2hpbmUiLCJrIjoiRUtxMTBLUmM1OUQwVVNoOVZnMTQ1SU8xIiwibSI6eyJyIjoicHJvZC11cy1lYXN0LTAifX0="
    volumes:
      - ./config.json:/usr/src/app/config.json

  prometheus:
    image: prom/prometheus:latest
    container_name: prometheus
    ports:
      - "9090:9090"
    volumes:
      - ./prometheus.yml:/etc/prometheus/prometheus.yml
    extra_hosts:
      - "host.docker.internal:host-gateway"

  n8n:
    image: docker.n8n.io/n8nio/n8n
    container_name: n8n
    ports:
      - "5678:5678"
    environment:
      N8N_ENFORCE_SETTINGS_FILE_PERMISSIONS: "true"
      N8N_RUNNERS_ENABLED: "true"
      DB_TYPE: "postgresdb"
      DB_POSTGRESDB_DATABASE: "postgres"
      DB_POSTGRESDB_POOL_MODE: "transaction"
      DB_POSTGRESDB_HOST: "aws-1-us-east-2.pooler.supabase.com"
      DB_POSTGRESDB_PORT: "6543"
      DB_POSTGRESDB_USER: "postgres.wseftadaqpudbomojmeh"
      DB_POSTGRESDB_PASSWORD: "aka$$h08CE063"
    volumes:
      - n8n_data:/home/node/.n8n
    restart: unless-stopped

volumes:
  n8n_data: {}
